/* everything between a "slash-asterisk" and an "asterisk slash is a comment */
/*
 * comments can be on one line, or on many lines
 */

/* your first program - Hello, World */

/*
 * the include statements below tell the C compiler
 * to find the files stdio.h and stdlib.h and include them
 * in the source file at this point.
 *
 * These are standard include files that come with every C compiler.
 * You will have these two lines in every program you write for this
 * course.
 */
#include <stdio.h>
#include <stdlib.h>

/*
 * The next line tells the compiler that you are defining a function
 * called main.  When a C program is executed, it calls the "main"
 * function, which contains the instructions that the computer should
 * execute.  These instructions start at the open curly brace "{"
 * and concludes with the matching closing curly brace "}".
 *
 * The actual definition line for main function is more complicated
 * that you see below, but don't worry about that for now.
 * In some text books the line will read "int main()" the keyword "int"
 * at the beginning tells the compiler that the main function will
 * return an integer value.  If you don't specify the return type
 * of a function, the compiler will assume it is an integer function.
 */
main()
{ /* start of the main function */
	printf("Hello, world!\n"); 		/* display a message */

    printf("Press ENTER to terminate program: "); /* display another message */
	getchar(); 						/* wait for the user to press ENTER */
} /* end of the main function */

