#include <stdio.h>
#include <stdlib.h>
/*
 * the string.h include file contains definitions for the string functions
 * such as strcpy, strlen, and strcmp
 */
#include <string.h>

main()
{
    char buf[BUFSIZ]; /* input area for user */
    char fname[20], lname[20]; /* storage area for first and last name */
    int age; /* variable for age */

    /*
     * When getting information from the user, we always read their
     * response into the input buffer (buf).  There is nothing special
     * about the name buf; any name would do, like fred or InputArea.
     *
     * The reason we always read data into buf is because it is big
     * enough to handle anything that the user types.  If we tried
     * to read into fname directly -- gets(fname) -- we would get into
     * trouble if they entered more than 20 characters.
     *
     * Once we have the user's response in buf, we can copy it to some
     * permanent storage place or convert it to a number.
     *
     * Notice that if the user enters more than 20 characters for their
     * first or last name, we will still overflow fname and/or lname.
     * In a later lecture, we will learn about the "if" statement,
     * which will allow us to check the length of the user's input
     * before copying it to fname or lname.
     *
     */

    printf("Enter first name: "); /* ask for their first name */
    gets(buf); /* read response */
    strcpy(fname, buf); /* save their first name */

    printf("Enter last name: "); /* ask for their last name */
    gets(buf); /* read response from user */
    strcpy(lname, buf); /* save their last name */

    printf("Enter your age: "); /* ask for age */
    gets(buf); /* get response from user */
    age = atoi(buf); /* convert to a number */

    /*
     * We have all the information now, display it for the user to see
     */
    printf("Name: %s %s, age %d\n", fname, lname, age);

    printf("Press ENTER to terminate program: "); /* display another message */
	getchar(); 						/* wait for the user to press ENTER */
 }

