VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdMaxNum 
      Caption         =   "Max Num"
      Height          =   495
      Left            =   2880
      TabIndex        =   8
      Top             =   840
      Width           =   1215
   End
   Begin VB.CommandButton cmdNew 
      Caption         =   "New Problem"
      Height          =   495
      Left            =   1560
      TabIndex        =   5
      Top             =   840
      Width           =   1215
   End
   Begin VB.CommandButton cmdCheck 
      Caption         =   "Check"
      Height          =   495
      Left            =   240
      TabIndex        =   4
      Top             =   840
      Width           =   1215
   End
   Begin VB.TextBox txtGuess 
      Height          =   495
      Left            =   3240
      TabIndex        =   3
      Top             =   240
      Width           =   615
   End
   Begin VB.TextBox txtNum2 
      Height          =   495
      Left            =   2280
      TabIndex        =   2
      Top             =   240
      Width           =   615
   End
   Begin VB.ComboBox cmbOp 
      Height          =   315
      Left            =   960
      TabIndex        =   1
      Text            =   "Operators"
      Top             =   360
      Width           =   1215
   End
   Begin VB.TextBox txtNum1 
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   615
   End
   Begin VB.Label Label1 
      Caption         =   "="
      Height          =   375
      Left            =   3000
      TabIndex        =   7
      Top             =   360
      Width           =   255
   End
   Begin VB.Label lblStat 
      Alignment       =   2  'Center
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   240
      TabIndex        =   6
      Top             =   1560
      Width           =   3975
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim FirstTime As Boolean
Dim MaxNum As Integer
Dim NumQuest As Integer
Dim NumRight As Integer



Private Sub cmdCheck_Click()
    check_ans
End Sub

Private Sub cmdMaxNum_Click()
    set_max_num ' set new max number
End Sub

Private Sub cmdNew_Click()
    init_quiz
End Sub

Private Sub Form_Activate()
    ' this function is called when form get focus
    If FirstTime Then init_form
    
End Sub

Private Sub Form_Load()
    ' this function called when form first loaded
    FirstTime = True ' first time
End Sub
Sub init_form()
    Randomize   ' true random numbers
    MaxNum = 100    ' default max number
    load_combo  ' load operator combo
    init_quiz   ' display first quiz
End Sub
Sub load_combo()
    ' initialize operator combo
    cmbOp.Clear ' in case called twice
    
    ' add each operator
    cmbOp.AddItem "Plus"
    cmbOp.AddItem "Minus"
    cmbOp.AddItem "Times"
    cmbOp.AddItem "Divided by"
    cmbOp.AddItem "Modulo"
    
    ' now select addition to start
    cmbOp.ListIndex = 0 ' first item selected
End Sub

Sub init_quiz()
    ' set up new quiz problem
    ' get random numbers between 1 and 100
    txtNum1.Text = RandomNumber(1, MaxNum)
    txtNum2.Text = RandomNumber(1, MaxNum)
    txtGuess.Text = ""
    
End Sub
Function RandomNumber(low As Integer, high As Integer) As Integer
    ' generate random number between low and high
    Dim num As Integer
    
    num = Rnd() * (high - low) + low
    RandomNumber = num
End Function
Sub check_ans()
    Dim num1 As Integer
    Dim num2 As Integer
    Dim ans As Integer
    Dim guess As Integer
    
    ' increment number of questions
    NumQuest = NumQuest + 1
    
    ' extract first two numbers
    num1 = Val(txtNum1.Text)
    num2 = Val(txtNum2.Text)
    guess = Val(txtGuess.Text)
    
    ' compute answer based on operator
    Select Case cmbOp.ListIndex
    Case Is = 0  ' addition
        ans = num1 + num2
    Case Is = 1
        ans = num1 - num2
    Case Is = 2
        ans = num1 * num2
    Case Is = 3
        If num2 = 0 Then
            MsgBox "Can't divide by zero"
            Exit Sub
        End If
        ans = num1 \ num2
    Case Is = 4
        ans = num1 Mod num2
    Case Else
        MsgBox "Invalid operator"
        Exit Sub
    End Select
    
    If ans <> guess Then
        lblStat.Caption = "No, it is " & ans
        lblStat.ForeColor = vbRed
    Else
        NumRight = NumRight + 1
        lblStat.Caption = "Good job!  That's " & NumRight & " out of " & NumQuest
        lblStat.ForeColor = vbYellow
    End If
End Sub
Sub set_max_num()
    ' set new maximum number
    Dim str As String
    Dim num As Integer
    
    ' ask user for new maximum number
    str = InputBox("Enter new Max Num", "Changing Maximum Number", MaxNum)
    ' if user entered non-zero number, use it
    If Len(str) > 0 Then
        num = Val(str)
        If num > 0 Then MaxNum = num
    End If
    
End Sub
