VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdUpdate 
      Caption         =   "Update"
      Height          =   495
      Left            =   3360
      TabIndex        =   8
      Top             =   2040
      Width           =   1215
   End
   Begin VB.CommandButton cmdDel 
      Caption         =   "Delete"
      Height          =   495
      Left            =   3360
      TabIndex        =   6
      Top             =   2640
      Width           =   1215
   End
   Begin VB.TextBox txtName 
      Height          =   495
      Left            =   1080
      TabIndex        =   3
      Top             =   2160
      Width           =   2175
   End
   Begin VB.TextBox txtID 
      Alignment       =   1  'Right Justify
      Height          =   495
      Left            =   1080
      TabIndex        =   2
      Top             =   1560
      Width           =   2175
   End
   Begin VB.ListBox lstList 
      Height          =   1230
      Left            =   240
      TabIndex        =   1
      Top             =   120
      Width           =   4095
   End
   Begin VB.CommandButton cmdAdd 
      Caption         =   "Add"
      Height          =   495
      Left            =   3360
      TabIndex        =   0
      Top             =   1440
      Width           =   1215
   End
   Begin VB.Label lblStat 
      Height          =   375
      Left            =   120
      TabIndex        =   7
      Top             =   2760
      Width           =   3135
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "ID"
      Height          =   495
      Left            =   240
      TabIndex        =   5
      Top             =   1560
      Width           =   735
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Name"
      Height          =   495
      Left            =   240
      TabIndex        =   4
      Top             =   2160
      Width           =   735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdAdd_Click()
    add_entry
End Sub
Sub add_entry()
    Dim str As String
    Dim num As Integer
    
    ' extract info from form
    str = txtName.Text
    num = Val(txtID.Text)
    
    ' validate input
    If Len(str) = 0 Or num = 0 Then
        ' invalid entry
        lblStat.Caption = "Invalid entry"
        Exit Sub
    End If
    
    ' entry valid - add it to list
    lstList.AddItem str
    lstList.ItemData(lstList.NewIndex) = num
    
    clear_entry
End Sub

Private Sub cmdDel_Click()
    del_entry
End Sub

Private Sub cmdUpdate_Click()
    upd_entry
End Sub

Private Sub lstList_Click()
    Dim num As Integer

    ' get current entry
    num = lstList.ListIndex
    ' display entry in text boxes
    txtID.Text = lstList.ItemData(num)
    txtName.Text = lstList.List(num)
    lblStat.Caption = ""
End Sub
Sub upd_entry()
    ' update entry
    Dim num As Integer
    
    ' update current entry from form
    num = lstList.ListIndex ' current entry
    If num < 0 Then
    lblStat.Caption = "No entry selected!"
        Exit Sub ' empty list
    End If

    ' validate entry before update
    If Val(txtID.Text) <= 0 Or Len(txtName.Text) = 0 Then
        lblStat.Caption = "Invalid entry"
        Exit Sub
    End If
    
    ' entry valid - update it
    lstList.List(num) = txtName.Text
    lstList.ItemData(num) = Val(txtID.Text)
    
End Sub
Sub del_entry()
    Dim num As Integer
    
    num = lstList.ListIndex ' current entry
    If num < 0 Then
        lblStat.Caption = "No entry selected!"
        Exit Sub ' empty list
    End If
    
    ret = MsgBox("Are you sure?", vbYesNo, "Deleting Current Item")
    If ret <> vbYes Then
        Exit Sub
    End If
    
    ' delete item
    lstList.RemoveItem (num)
    clear_entry
End Sub
Sub clear_entry()
    ' clear entry form
    txtID.Text = ""
    txtName.Text = ""
End Sub
